import java.lang.StackTraceElement;
public abstract class GException extends Exception{
		public GException(String message){
			super(message);				
		}
		public String getLocalizedMessage(){
			String err=getMessage()+"\n";
			StackTraceElement[] STE=this.getStackTrace();	
			 for (int i = 0, n = STE.length; i < n; i++) {       
        		err+="      at "+STE[i].getClassName()+ "."+STE[i].getMethodName() + "() >> " 
                      + " (File: "+STE[i].getFileName()+"  Line:"+STE[i].getLineNumber()+")   \n";           
   			}
   		return err;
		}
		public abstract boolean isFatal();
	
}